Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.Timer16Bit.PairedRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit.PairedRegister

All Implemented Interfaces:
  State.IOReg

Direct Known Subclasses:
  ATMega128L.SimImpl.Timer16Bit.OCRnxPairedRegister

Enclosing class:
  ATMega128L.SimImpl.Timer16Bit

protected class ATMega128L.SimImpl.Timer16Bit.PairedRegister
extends State.RWIOReg

The `PairedRegister` class exists to implement the shared temporary register for the high byte of the 16-bit registers corresponding to a 16-bit timer. Accesses to the high byte of a register pair should go through this temporary byte. According to the manual, writes to the high byte are stored in the temporary register. When the low byte is written to, both the low and high byte are updated. On a read, the temporary high byte is updated when a read occurs on the low byte. The PairedRegister should be installed in place of the low register. Reads/writes on this register will act accordingly on the low register, as well as initiate a read/write on the associated high register.

Field Summary

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Method Summary
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int bit)` The `readBit()` method reads a single bit from the IO register.
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(byte val)

  Description copied from class: `State.RWIOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWIOReg` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `State.IOReg`
  Overrides:
    `write` in class `State.RWIOReg`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from interface: `State.IOReg`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

  Specified by:
    `writeBit` in interface `State.IOReg`
  Overrides:
    `writeBit` in class `State.RWIOReg`

### read

    public byte read()

  Description copied from class: `State.RWIOReg`
  The `read()` method reads the 8-bit value of the IO register as a byte. For simple `RWIOReg` instances, this simply returns the internally stored value.

  Specified by:
    `read` in interface `State.IOReg`
  Overrides:
    `read` in class `State.RWIOReg`
  Returns:
    the value of the register as a byte

### readBit

    public boolean readBit(int bit)

  Description copied from class: `State.RWIOReg`
  The `readBit()` method reads a single bit from the IO register.

  Specified by:
    `readBit` in interface `State.IOReg`
  Overrides:
    `readBit` in class `State.RWIOReg`
  Parameters:
    `bit` - the number of the bit to read
  Returns:
    the value of the bit as a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD